# vim: set sw=4 ts=4 et:

Name:           quvi
Version:        0.2.15
%define soname 0
Release:        1.pm.1.1
Summary:        Download Videos from Video Sharing Sites
Source:         http://quvi.googlecode.com/files/quvi-%{version}.tar.bz2
Source99:       quvi-rpmlintrc
URL:            http://code.google.com/p/quvi/
Group:          Productivity/Networking/Web/Utilities
License:        GNU General Public License version 3 or later (GPL v3 or later)
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
BuildRequires:  libcurl-devel
BuildRequires:  lua-devel
BuildRequires:  gcc make glibc-devel pkgconfig
BuildRequires:  autoconf automake libtool
Requires:       libquvi%{soname} = %{version}-%{release}

%description
quvi is a command line tool for parsing video download links. It supports
Youtube and other similar video websites.

%package -n libquvi%{soname}
Summary:        Library for downloading Videos from Video Sharing Sites
Group:          System/Libraries

%description -n libquvi%{soname}
libquvi is a library for parsing video download links with C API. It is written
in C and intended to be a cross-platform library.

%package -n libquvi-devel
Summary:        Library for downloading Videos from Video Sharing Sites
Group:          Development/Libraries/C and C++
Requires:       libquvi%{soname} = %{version}-%{release}

%description -n libquvi-devel
libquvi is a library for parsing video download links with C API. It is written
in C and intended to be a cross-platform library.

%package -n libquvi-devel-static
Summary:        Library for downloading Videos from Video Sharing Sites
Group:          Development/Libraries/C and C++
Requires:       libquvi-devel

%description -n libquvi-devel-static
libquvi is a library for parsing video download links with C API. It is written
in C and intended to be a cross-platform library.

%prep
%setup -q

%build
%configure \
     --with-man \
     --with-doc \
     --enable-quvi \
     --enable-nsfw \
     --enable-todo \
     --enable-nlfy \
     --enable-examples

%__make %{?_smp_flags}

%install
%makeinstall
%__rm "%{buildroot}%{_libdir}"/lib*.la
%__rm -rf "%{buildroot}%{_datadir}/doc"

%post   -n libquvi%{soname} -p /sbin/ldconfig
%postun -n libquvi%{soname} -p /sbin/ldconfig

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc ChangeLog COPYING NEWS README
%doc doc/Howto*
%{_bindir}/quvi
%{_mandir}/man1/quvi.1%{ext_man}

%files -n libquvi%{soname}
%defattr(-,root,root)
%{_libdir}/libquvi.so.%{soname}
%{_libdir}/libquvi.so.%{soname}.*
%dir %{_datadir}/quvi
%dir %{_datadir}/quvi/lua
%doc %{_datadir}/quvi/lua/README
%dir %{_datadir}/quvi/lua/website
%doc %{_datadir}/quvi/lua/website/README
%{_datadir}/quvi/lua/website/*.lua
%dir %{_datadir}/quvi/lua/website/quvi
%{_datadir}/quvi/lua/website/quvi/*.lua
%dir %{_datadir}/quvi/lua/util
%{_datadir}/quvi/lua/util/*.lua

%files -n libquvi-devel
%defattr(-,root,root)
%{_includedir}/quvi
%{_libdir}/libquvi.so
%{_libdir}/pkgconfig/libquvi.pc

%files -n libquvi-devel-static
%defattr(-,root,root)
%{_libdir}/libquvi.a

%changelog
* Sat Apr 16 2011 pascal.bleser@opensuse.org
- update to 0.2.15:
  * add support for reading URLs from the stdin
  * quvi_supported: improve URL checking (#29)
  - check additional URL parts (vs. domain only)
  * remove obsoleted (by new test suite) options from quvi command
  - --test-all
  - --test
  - --page-title
  - --video-id
  - --file-length
  - --file-suffix
  - --dump
  * add soundcloud.lua, ted.lua
  * ad megavideo.lua
  * add tvlux.lua
  * collegehumor.lua: Mark as TODO (#35)
  * cbsnews.lua (#30)
  - Improve 'best' parsing (compare height and bitrate)
  - Update format IDs
  * youtube.lua:
  - Add support for "#at=" as start-time
  - Add support additional embed URL types (/e/,/embed/)
  - Process the starttime string (#36)
  - Remove the dangling format IDs (tgp_144p, webm_*)
  * vimeo.lua: Exit with server returned error message (#27)
  * arte.lua: Improve handling of expired URLs
  * fix "error: (null)" with LUA scripts that use 'redirect' (#46)
  * quvi: Do not exit if preceeding URL fails (#40)
  * fix cbsnews.lua: attempt to compare number with nil (#30)
* Fri Mar 11 2011 pascal.bleser@opensuse.org
- update to 0.2.14:
  * --format was extended to support "help" and "list"
  * support for additional Web sites was added:
    + arte
    + keezmovies
    + tagtele
    + xhamster
  * Dailymotion format support was fixed
  * re-enable NSFW backends
* Thu Jan 20 2011 pascal.bleser@opensuse.org
- update to 0.2.12:
  * protocol support was extended
- changes from 0.2.10:
  * CBS News support was added
  * a YouTube 404 issue was fixed
* Wed Dec  8 2010 pascal.bleser@opensuse.org
- update to 0.2.9:
  * minor additions to the API were made
  * PCRE dependency was removed
  * the --exec option was fixed
* Sat Nov 13 2010 pascal.bleser@opensuse.org
- update to 0.2.8:
  * support for shortened URLs was added
  * the --no-shortened switch was added
  * QUVIOPT_NOSHORTENED was added to the library C API
  * YouTube format IDs were renamed
  * support for YouTube 4096x3072 format was added
  * the theonion.lua and sevenload.lua scripts were fixed
  * the unescaped double quatation marks in JSON output issue was addressed
* Mon Oct 11 2010 pascal@links2linux.de
- update to 0.2.6:
  * adds support for the AcademicEarth Web site
  * adds support for YouTube URL shortener were added
  * a memory leak was fixed
  * use of arbitrary cookies was made possible in Lua scripts
  * dailymotion family filter was disabled
* Sat Oct  2 2010 pascal@links2linux.de
- update to 0.2.5:
  * support for Youtube WebM formats was added
* Wed Sep 15 2010 pascal@links2linux.de
- update to 0.2.4:
  * adds --old and --no-proxy
  * video details are now printed in JSON by default
  * there are minor changes to --xml output
  * fixes the HTTP 404 error with Vimeo
* Tue May 18 2010 pascal@links2linux.de
- update to 0.2.0:
  * adds Lua scripting:
    + video link parsing was completely reworked
    + all of the parsing is now done in website specific Lua scripts
    + no need to tweak the library, GNU autotools fils or C source code
    + scripts can be edited, dropped in, removed and reloaded
    + less likely to introduce memory leaks
    + Lua language and syntax
  * format ID changes:
    + "flv" -> "default", not all websites default to "flv"
    + Youtube: reworked the format ID array
    + Google: removed "mp4" format ID
    + Spiegel: reworked the format ID array
    + Spiegel: new default (vp6_64 -> vp_388)
* Wed Mar 31 2010 pascal@links2linux.de
- update to 0.1.3:
  * fixes Buzzhumor support
  * fixes various issues with the Dailymotion and Break websites
* Sat Feb 13 2010 pascal@links2linux.de
- initial package
